Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.forms.widgets
Interface ILayoutExtension

All Known Implementing Classes:
  ColumnLayout, TableWrapLayout

public interface ILayoutExtension

Classes that extend abstract class Layout and implement this interface can take part in layout computation of the TableWrapLayout manager. This layout uses alternative algorithm that computes columns before rows. It allows it to 'flow' wrapped text proportionally (similar to the way web browser renders tables). Custom layout managers that implement this interface will allow TableWrapLayout to properly compute width hint to pass.

Since:
  3.0
See Also:
  `TableWrapLayout`, `ColumnLayout`

Method Summary
`int` | `computeMaximumWidth(Composite parent, boolean changed)` Computes the maximum width of the parent.
`int` | `computeMinimumWidth(Composite parent, boolean changed)` Computes the minimum width of the parent.

Method Detail

### computeMinimumWidth

    public int computeMinimumWidth(Composite parent,
                                   boolean changed)

  Computes the minimum width of the parent. All widgets capable of word wrapping should return the width of the longest word that cannot be broken any further.

  Parameters:
    `parent` - the parent composite
    `changed` - `true` if the cached information should be flushed, `false` otherwise.
  Returns:
    the minimum width of the parent composite

### computeMaximumWidth

    public int computeMaximumWidth(Composite parent,
                                   boolean changed)

  Computes the maximum width of the parent. All widgets capable of word wrapping should return the length of the entire text with wrapping turned off.

  Parameters:
    `parent` - the parent composite
    `changed` - `true` if the cached information should be flushed, `false` otherwise.
  Returns:
    the maximum width of the parent composite

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.